| Home | Libraries | People | FAQ | More

###### http::serializer::limit (2 of 2 overloads)

Set the serialized buffer size limit.

###### Synopsis

    void
    limit(
        std::size_t limit);

###### Description

This function adjusts the limit on the maximum size of the buffers passed to the visitor. The new size limit takes effect in the following call to `next`.

The default is no buffer size limit.

###### Parameters

Name | Description
--- | ---
`limit` | The new buffer size limit. If this number is zero, the size limit is removed.